# $Revision: 1.17 $, $Date: 2011/08/14 17:55:40 $
Summary:	C Configuration File Library
Summary(pl.UTF-8):	Biblioteka C do plików konfiguracyjnych
Name:		libconfig
Version:	1.4.8
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.gz
# Source0-md5:	36788da452e9fcfc8efb7661ef5d31ef
Patch0:		%{name}-info.patch
URL:		http://www.hyperrealm.com/main.php?s=libconfig
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libconfig is a simple library for manipulating structured
configuration files.

Libconfig is very compact, which makes it well-suited for
memory-constrained systems like handheld devices.

The library includes bindings for both the C and C++ languages. It
works on POSIX-compliant UNIX systems (GNU/Linux, Mac OS X, Solaris,
FreeBSD) and Windows (2000, XP and later).

%description -l pl.UTF-8
libconfig to prosta biblioteka do obróbki plików konfiguracyjnych
mających strukturę.

Jest bardzo mała, dzięki czemu dobrze nadaje się do systemów
ograniczonych pamięciowo, takich jak palmtopy.

Biblioteka ma dowiązania do języków C i C++. Działa na systemach
unikowych zgodnych z POSIX (GNU/Linux, Mac OS X, Solaris, FreeBSD)
oraz Windows (2000, XP i późniejszych).

%package devel
Summary:	Header files for libconfig library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libconfig
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libconfig library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libconfig.

%package static
Summary:	Static libconfig library
Summary(pl.UTF-8):	Statyczna biblioteka libconfig
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libconfig library.

%description static -l pl.UTF-8
Statyczna biblioteka libconfig.

%package c++
Summary:	C++ Configuration File Library
Summary(pl.UTF-8):	Biblioteka C++ do plików konfiguracyjnych
Group:		Libraries
# doesn't require base, common code included in library

%description c++
libconfig++ is the C++ binding for libconfig library.

%description c++ -l pl.UTF-8
libconfig++ to dowiązanie C++ biblioteki libconfig.

%package c++-devel
Summary:	Header files for libconfig++ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libconfig++
Group:		Development/Libraries
Requires:	%{name}-c++ = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description c++-devel
Header files for libconfig++ library.

%description c++-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libconfig++.

%package c++-static
Summary:	Static libconfig++ library
Summary(pl.UTF-8):	Statyczna biblioteka libconfig++
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
Static libconfig++ library.

%description c++-static -l pl.UTF-8
Statyczna biblioteka libconfig++.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	c++ -p /sbin/ldconfig
%postun	c++ -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libconfig.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfig.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig.so
%{_libdir}/libconfig.la
%{_includedir}/libconfig.h
%{_pkgconfigdir}/libconfig.pc
%{_infodir}/libconfig.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libconfig.a

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libconfig++.so.9

%files c++-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libconfig++.so
%{_libdir}/libconfig++.la
%{_includedir}/libconfig.h++
%{_pkgconfigdir}/libconfig++.pc

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libconfig++.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libconfig.spec,v $
Revision 1.17  2011/08/14 17:55:40  qboosh
- updated to 1.4.8

Revision 1.16  2011/03/15 19:35:08  qboosh
- updated to 1.4.7

Revision 1.15  2010/11/05 10:26:12  caleb
- Up to 1.4.6, rel 1
- Packaged new libconfig_tests in bindir

Revision 1.14  2010/10/24 13:28:40  glen
- infodir macro

Revision 1.13  2010/10/23 15:04:15  caleb
- Fixed unpackaged file, thanks to hint from glen@pld-linux.org

Revision 1.12  2010/10/21 12:15:47  caleb
- Up to 1.4.5, NFY

Revision 1.11  2010/01/27 10:29:13  megabajt
- updated to 1.4.1 (new soname)
- removed obsolete -am.patch

Revision 1.10  2009/06/21 12:55:55  hawk
- fixed install stage, release 2

Revision 1.9  2009/05/16 14:27:10  megabajt
- updated to 1.3.2 (new soname)

Revision 1.8  2008/07/11 21:55:58  qboosh
- updated to 1.3 (note: new sonames)
- updated info patch

Revision 1.7  2008/01/24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.6  2008-01-04 00:56:18  zbyniu
- up to 1.2.1

Revision 1.5  2007-11-30 22:18:35  qboosh
- release 2

Revision 1.4  2007-11-30 22:18:22  qboosh
- added info patch and missing fix-info-dir calls
- added missing ac/am/lt BRs

Revision 1.3  2007-11-03 17:36:06  qboosh
- separated libconfig++ so main package doesn't require libstdc++

Revision 1.2  2007/10/27 14:00:02  blues
- 1.2

Revision 1.1  2007/10/13 17:30:32  areq
- init PLD spec
